Package org.jboss.resteasy.security.smime

## Class MultipartSignedInputImpl

- java.lang.Object
- - org.jboss.resteasy.security.smime.MultipartSignedInputImpl

- All Implemented Interfaces:
    `SignedInput`

      public class MultipartSignedInputImpl
      extends Object
      implements SignedInput

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultipartSignedInputImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Annotation[]` | `getAnnotations()` |
    `javax.mail.internet.MimeMultipart` | `getBody()` |
    `X509Certificate` | `getCertificate()` |
    `Object` | `getEntity()` |
    `Object` | `getEntity​(Class type)` |
    `Object` | `getEntity​(Class t, Type gt, Annotation[] ann)` |
    `Object` | `getEntity​(javax.ws.rs.core.GenericType gt)` |
    `Object` | `getEntity​(javax.ws.rs.core.GenericType gt, Annotation[] ann)` |
    `Type` | `getGenericType()` |
    `javax.ws.rs.ext.Providers` | `getProviders()` |
    `PublicKey` | `getPublicKey()` |
    `Class` | `getType()` |
    `void` | `setAnnotations​(Annotation[] annotations)` |
    `void` | `setBody​(javax.mail.internet.MimeMultipart body)` |
    `void` | `setCertificate​(X509Certificate certificate)` |
    `void` | `setGenericType​(Type genericType)` |
    `void` | `setProviders​(javax.ws.rs.ext.Providers providers)` |
    `void` | `setPublicKey​(PublicKey publicKey)` |
    `void` | `setType​(Class type)` |
    `void` | `setType​(javax.ws.rs.core.GenericType type)` |
    `boolean` | `verify()` |
    `boolean` | `verify​(X509Certificate certificate)` |
    `boolean` | `verify​(PublicKey publicKey)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipartSignedInputImpl

          public MultipartSignedInputImpl()

  - ### Method Detail

    - #### getPublicKey

          public PublicKey getPublicKey()

    - #### setPublicKey

          public void setPublicKey​(PublicKey publicKey)

    - #### getCertificate

          public X509Certificate getCertificate()

    - #### setCertificate

          public void setCertificate​(X509Certificate certificate)

    - #### getType

          public Class getType()

    - #### setType

          public void setType​(Class type)

    - #### setType

          public void setType​(javax.ws.rs.core.GenericType type)

    - #### getGenericType

          public Type getGenericType()

    - #### setGenericType

          public void setGenericType​(Type genericType)

    - #### getBody

          public javax.mail.internet.MimeMultipart getBody()

    - #### setBody

          public void setBody​(javax.mail.internet.MimeMultipart body)

    - #### getAnnotations

          public Annotation[] getAnnotations()

    - #### setAnnotations

          public void setAnnotations​(Annotation[] annotations)

    - #### getProviders

          public javax.ws.rs.ext.Providers getProviders()

    - #### setProviders

          public void setProviders​(javax.ws.rs.ext.Providers providers)

    - #### getEntity

          public Object getEntity()

      Specified by:
        `getEntity` in interface `SignedInput`

    - #### getEntity

          public Object getEntity​(Class type)

      Specified by:
        `getEntity` in interface `SignedInput`

    - #### getEntity

          public Object getEntity​(javax.ws.rs.core.GenericType gt)

      Specified by:
        `getEntity` in interface `SignedInput`

    - #### getEntity

          public Object getEntity​(javax.ws.rs.core.GenericType gt,
                                  Annotation[] ann)

    - #### getEntity

          public Object getEntity​(Class t,
                                  Type gt,
                                  Annotation[] ann)

    - #### verify

          public boolean verify()
                         throws Exception

      Specified by:
        `verify` in interface `SignedInput`
      Throws:
        `Exception`

    - #### verify

          public boolean verify​(X509Certificate certificate)
                         throws Exception

      Specified by:
        `verify` in interface `SignedInput`
      Throws:
        `Exception`

    - #### verify

          public boolean verify​(PublicKey publicKey)
                         throws Exception

      Specified by:
        `verify` in interface `SignedInput`
      Throws:
        `Exception`